var jsSrc = (navigator.language || navigator.browserLanguage).toLowerCase();
var lan = UNAS.CurrentLanguage;
if (jsSrc != 'zh-cn') {
  lan = 'English';
} else {
  lan = '简体中文';
}

var urlSearchParams = new URLSearchParams(window.location.search);
// 把键值对列表转换为一个对象
var params = Object.fromEntries(urlSearchParams.entries());

if (params.l) {
  lan = params.l;
} else if (getCookie('login_lang')) {
  lan = unescape(window.atob(getCookie('login_lang')));
} else {
  lan = sessionStorage.getItem('tempLang') || lan;
}

UNAS.CurrentLanguage = lan;

var UToken;
var tokenArr = document.cookie.split("; ");

if (params.t) {
  UToken = params.t;
} else {
  for (var i = 0; i < tokenArr.length; i++) {
    if (tokenArr[i].search("PHPSESSID") !== -1) {
      UToken = tokenArr[i].split("=")[1]
    }
  }
}

function SetEmallInputStatus() {

  if (jQuery("#notification_noticeEmail").hasClass("open")) {
    jQuery('input[name="notification_noticeEmail_input"]').attr("disabled", false);
    jQuery('#notification_emailssl').removeClass("disabledBtn");
  } else {
    jQuery('input[name="notification_noticeEmail_input"]').attr("disabled", true);
    jQuery('#notification_emailssl').addClass("disabledBtn");
  }
}

function getNotificationSetting() {
  jQuery("#notification_manager_waiting_cont").attr("style", "display:block");
  jQuery("#notification_manager_waiting_logo").attr("style", "display:block");
  jQuery.ajax({
    url: "/apps/notification/includes/service_notification.php",
    type: "POST",
    async: true,
    data: {
      "action": "getNotification"
    },
    timeout: 30000,
    dataType: "json",
    success: function(r) {
      if (r.soundnotice == "yes") {
        jQuery("#notification_soundnotice").addClass("open").children(".switch-btn").addClass("right");
      } else {
        jQuery("#notification_soundnotice").removeClass("open").children(".switch-btn").removeClass("right");
      }

      if (r.emailnotice == "yes") {
        jQuery("#notification_noticeEmail").addClass("open").children(".switch-btn").addClass("right");
      } else {
        jQuery("#notification_noticeEmail").removeClass("open").children(".switch-btn").removeClass("right");
      }
      SetEmallInputStatus();
      jQuery("#notification_smtpserver").val(r.smtpserver);
      jQuery("#notification_smtpport").val(r.smtpport);
      jQuery("#notification_emailuser").val(r.emailuser);
      jQuery("#notification_emailaccount").val(r.emailaccount);
      jQuery("#notification_emailpass").val(r.emailpass);
      jQuery("#notification_receivemail").val(r.receivemail);
      if (r.emailssl == "yes") {
        jQuery("#notification_emailssl").addClass("open").children(".switch-btn").addClass("right");
      } else {
        jQuery("#notification_emailssl").removeClass("open").children(".switch-btn").removeClass("right");
      }
    },
    complete: function() {
      jQuery("#notification_manager_waiting_cont").attr("style", "display:none");
      jQuery("#notification_manager_waiting_logo").attr("style", "display:none");
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      alert(textStatus);
      jQuery('#notification_manager_waiting_cont_cp').attr("style", "display:none");
      jQuery('#notification_manager_waiting_logo_cp').attr("style", "display:none");
    }
  })
}

function submit_setNotification() {
  var soundnotice, emailnotice, smtpserver, smtpport, emailuser, emailaccount, emailpass, receivemail, emailssl;
  soundnotice = jQuery("#notification_soundnotice").hasClass('open') ? "yes" : 'no';
  emailnotice = jQuery("#notification_noticeEmail").hasClass('open') ? "yes" : 'no';
  smtpserver = jQuery("#notification_smtpserver").val();
  smtpport = jQuery("#notification_smtpport").val();
  emailuser = jQuery("#notification_emailuser").val();
  emailaccount = jQuery("#notification_emailaccount").val();
  emailpass = jQuery("#notification_emailpass").val();
  receivemail = jQuery("#notification_receivemail").val();
  emailssl = jQuery("#notification_emailssl").hasClass('open') ? "yes" : 'no';
  jQuery("#notification_manager_waiting_cont").attr("style", "display:block");
  jQuery("#notification_manager_waiting_logo").attr("style", "display:block");

  jQuery.ajax({
    url: "/apps/notification/includes/service_notification.php",
    type: "POST",
    async: true,
    data: {
      "soundnotice": soundnotice,
      "emailnotice": emailnotice,
      "smtpserver": smtpserver,
      "smtpport": smtpport,
      "emailuser": emailuser,
      "emailaccount": emailaccount,
      "emailpass": emailpass,
      "receivemail": receivemail,
      "emailssl": emailssl,
      "action": "saveConfig"
    },
    timeout: 30000,
    success: function(r) {
      getNotificationSetting();
      try {
        if (typeof(eval(getNotificationSetting_cp)) == "function") {
          getNotificationSetting_cp();
        } else {}
      } catch (e) {};
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      alert(textStatus);
    }
  })
}

// 开关
function switchControl(t, callback) {

  jQuery(t).toggleClass("open").children(".switch-btn").toggleClass("right");

  if (typeof callback === 'function') {
    callback();
  }
}

(function() {
  getNotificationSetting();
})();
